Library Version 18.1.40

DB_ENV->mutex_get_tas_spins()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_get_tas_spins()

    #include <db.h>

    int
    DB_ENV->mutex_get_tas_spins(DB_ENV *dbenv, u_int32_t *tas_spinsp);

The `DB_ENV->mutex_get_tas_spins()` method returns the test-and-set spin count. This value may be configured using the DB_ENV->mutex_set_tas_spins() method.

The `DB_ENV->mutex_get_tas_spins()` method may be called at any time during the life of the application.

The `DB_ENV->mutex_get_tas_spins()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### tas_spinsp

The `DB_ENV->mutex_get_tas_spins()` method returns the test-and-set spin count in tas_spinsp.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_get_max() | Home | DB_ENV->mutex_lock()